/*
 Theme Name: Tara for Council
 Description: A child theme of Twenty Twenty-Four
 Author: Jason
 Author URI: inrgb.com
 Template: twentytwentyfour
 Version: 1.0.1
*/

.main-nav-header {
    box-shadow: 5px 5px 20px rgba(41, 44, 106, .1);
}

@media (min-width: 1000px) {
    body {
        padding-top:77px;
    }

    .main-nav-header {
        position: fixed;
        width: 100%;
        z-index: 100;
        top:0;
    }

    body.admin-bar .main-nav-header {
        top:32px;
    }

    #wpadminbar {
        position: fixed;
    }
}

.wp-site-blocks *:focus {
    outline: none;
}

.wp-block-navigation .wp-block-navigation-item a:hover {
    text-decoration: none;
    color: var(--wp--preset--color--custom-tara-red);
}

.wp-block-navigation .wp-block-navigation-item.current-menu-item {
    color: var(--wp--preset--color--custom-tara-red) !important;
}

.wp-block-button__link:hover {
    background-color: var(--wp--preset--color--custom-tara-red);
    border-color: var(--wp--preset--color--custom-tara-red);
}

footer.wp-block-template-part {
    margin-top:0!important;
    border-top: 1px solid rgba(41, 44, 106, .1);
}

@media (max-width: 781px) {
    .wp-container-core-group-is-layout-4bf92d43 {
        justify-content: flex-start !important;
    }
}

.main-footer .wp-block-site-logo, .main-footer img {
    width: 241px;
    max-width: 100%;
}

.is-style-asterisk:before {
    content: '';
    width: 30px;
    height: 30px;
    background-color: transparent;
    background-image: url('images/lb-logo-blue.png');
    background-repeat: no-repeat;
    background-size: cover;
    clip-path: none;
    margin-bottom: 10px;
}

.wp-block-navigation__responsive-container-content a {
    text-transform: uppercase;
}

.wp-block-navigation__responsive-container-close {
    top:1.25rem;
}

@media (max-width: 1200px) {
    .wp-block-navigation__responsive-container .wp-block-navigation__responsive-container-content a {
        font-size: 0.85rem;
    }
}

@media (max-width: 1000px) {
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: flex !important;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none !important;
	}
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content a {
        font-size:var(--wp--preset--font-size--x-large);
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-buttons {
        margin-top: 1rem;
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-buttons>.wp-block-button a {
        font-size:var(--wp--preset--font-size--large);
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content {
        align-items: flex-start;
    }
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation.items-justified-right {
        --navigation-layout-justification-setting: flex-start;
        --navigation-layout-justify: flex-start;
    }
}

@media (max-width: 1000px) {
    .wp-block-navigation.items-justified-right .wp-block-navigation__container .has-child .wp-block-navigation__submenu-container a {
        font-size: 1.5rem;
    }
}
.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .has-child .wp-block-navigation__submenu-container {
    padding:0;
}

@media (min-width: 1000px) {
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: none !important;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: block !important;
		width: 100%;
		position: relative;
		z-index: auto;
		background-color: inherit;
	}
    .wp-block-navigation.items-justified-right .wp-block-navigation__container .has-child .wp-block-navigation__submenu-container, .wp-block-navigation.items-justified-right .wp-block-page-list>.has-child .wp-block-navigation__submenu-container, .wp-block-navigation.items-justified-space-between .wp-block-page-list>.has-child:last-child .wp-block-navigation__submenu-container, .wp-block-navigation.items-justified-space-between>.wp-block-navigation__container>.has-child:last-child .wp-block-navigation__submenu-container {
        left: -1em;
        right: auto;
        box-shadow: 5px 5px 20px rgba(41, 44, 106, .1);
        border:1px solid var(--wp--preset--color--custom-tara-red);
    }

    .wp-block-navigation .wp-block-navigation-item.has-child:hover {
        color: var(--wp--preset--color--custom-tara-red);
    }
}

/* Styles configuration */
:root {
    --cf7-font: inherit;
    --cf7-font-size: 16px;
    --cf7-font-weight: 300;
    --cf7-labels: var(--cf7-accent);
    --cf7-input-text: #8CA3B9;
    --cf7-accent: var(--wp--preset--color--custom-tara-blue);
    --cf7-accent-hover: var(--wp--preset--color--custom-tara-blue);
    --cf7-accent-outline: var(--wp--preset--color--custom-tara-blue);
    --cf7-accent-text: #ffffff;
    --cf7-warning: var(--wp--preset--color--custom-tara-red);
    --cf7-warning-bg: #FFEDEC;
    --cf7-success: #00B474;
    --cf7-success-bg: #E6FFF0;
}
/* General Settings */
.wpcf7 {
    font-family: var(--cf7-font);
    font-weight: var(--cf7-font-weight);
}
.wpcf7 label {
    color: var(--cf7-labels);
    display: block;
    width: 100%;
    box-sizing: border-box;
}
.wpcf7 label>span {
    display: flex;
}
.wpcf7-list-item {
    margin-left: 0 !important;
    margin-right: 15px !important;
}
.wpcf7 a {
    color: var(--cf7-accent) !important;
    text-decoration: none;
}
.wpcf7 a:hover {
    color: var(--cf7-accent-hover) !important;
}
/* General Inputs */
.wpcf7 input[type=color],
.wpcf7 input[type=date],
.wpcf7 input[type=datetime-local],
.wpcf7 input[type=datetime],
.wpcf7 input[type=email],
.wpcf7 input[type=month],
.wpcf7 input[type=number],
.wpcf7 input[type=search],
.wpcf7 input[type=tel],
.wpcf7 input[type=text],
.wpcf7 input[type=time],
.wpcf7 input[type=url],
.wpcf7 input[type=week],
.wpcf7 textarea
{
    border: 1px solid var(--cf7-accent);
	background-color: #ffffff;
	border-radius: 6px;
    line-height: 1.3;
    padding: .375rem .75rem;
    color: var(--cf7-input-text);
    min-height: 35px;
    font-size: var(--cf7-font-size);
    font-weight: var(--cf7-font-weight);
    font-family: var(--cf7-font);
    width: 100%;

}
/* Other Inputs */
.wpcf7 input[type=submit] {
    background-color: var(--cf7-warning);
    color: var(--cf7-accent-text);
    border: 0;
    padding: 15px 30px;
    border-radius: 6px;
    font-size: var(--cf7-font-size);
    font-family: var(--cf7-font);
    transition: .2s linear;
}
.wpcf7 input:hover[type=submit] {
    /* background-color: var(--cf7-accent-hover); */
    transition: .2s linear;
    cursor: pointer;
}
.wpcf7 input:focus[type=submit] {
    /* background-color: var(--cf7-accent-hover); */
    outline: none;
    border: 0;
    box-shadow: 0 0 0 3px var(--cf7-accent-outline);
}
.wpcf7 input[type=file] {
    color: var(--cf7-input-text);
    font-size: var(--cf7-font-size);
    font-weight: var(--cf7-font-weight);
    font-family: var(--cf7-font);
}
.wpcf7 input:focus[type=file] {
    outline: none;
    border: 0;
}
.wpcf7 input[type=file]::file-selector-button,
.wpcf7 select
{
    border: 1px solid #D5E0EB;
    background-color: #ffffff;
    border-radius: 6px;
    line-height: 1.3;
    padding: 0.7rem 1rem;
    color: var(--cf7-input-text);
    min-height: 35px;
    font-size: var(--cf7-font-size);
    font-weight: var(--cf7-font-weight);
    font-family: var(--cf7-font);
}
.wpcf7 input[type=file]::file-selector-button {
    cursor: pointer;
    margin-right: 20px;
}
/* Custom Checkbox */
.wpcf7 input[type="checkbox"] {
    -webkit-appearance: none;
    appearance: none;
    width: 18px;
    height: 18px;
    border: 2px solid var(--cf7-accent);
    border-radius: 6px;
    margin: 0;
    display: grid;
    place-content: center;
    cursor: pointer;
}
.wpcf7 input[type="checkbox"]:before {
    content: "\f147";
    font-family: 'dashicons';
    font-weight: 300;
    font-size: 15px;
    line-height: 17px;
    width: 18px;
    height: 18px;
    color: white;
    text-align: center;
    border-radius: 6px;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 20px 20px var(--cf7-accent);
}
.wpcf7 input[type="checkbox"]:checked::before {
    transform: scale(1);
}
.wpcf7-checkbox label,
.wpcf7-acceptance label,
.wpcf7-radio label {
    display: flex;
    align-items: center;
    gap: 10px;
}
/* Custom Radio */
.wpcf7 input[type="radio"] {
    -webkit-appearance: none;
    appearance: none;
    background-color: transparent;
    margin: 0;
    font: inherit;
    color: var(--cf7-accent);
    width: 18px;
    height: 18px;
    border: 2px solid var(--cf7-accent);
    border-radius: 100%;
    display: grid;
    place-content: center;
    cursor: pointer;
}
.wpcf7 input[type="radio"]::before {
    content: "";
    width: 10px;
    height: 10px;
    border-radius: 100%;
    transform: scale(0);
    transition: 120ms transform ease-in-out;
    box-shadow: inset 1em 1em var(--cf7-accent);
}
.wpcf7 input[type="radio"]:checked::before {
    transform: scale(1);
}
/* Other States */
.wpcf7 input:hover[type=color],
.wpcf7 input:hover[type=date],
.wpcf7 input:hover[type=datetime-local],
.wpcf7 input:hover[type=datetime],
.wpcf7 input:hover[type=email],
.wpcf7 input:hover[type=month],
.wpcf7 input:hover[type=number],
.wpcf7 input:hover[type=search],
.wpcf7 input:hover[type=tel],
.wpcf7 input:hover[type=text],
.wpcf7 input:hover[type=time],
.wpcf7 input:hover[type=url],
.wpcf7 input:hover[type=week],
.wpcf7 input:hover[type=file]::file-selector-button,
.wpcf7 textarea:hover,
.wpcf7 select:hover
{
    border: 1px solid #92ACC7;
    outline: none;
    background-color: #ffffff;
    font-size: var(--cf7-font-size);
}
.wpcf7 input:focus[type=color],
.wpcf7 input:focus[type=date],
.wpcf7 input:focus[type=datetime-local],
.wpcf7 input:focus[type=datetime],
.wpcf7 input:focus[type=email],
.wpcf7 input:focus[type=month],
.wpcf7 input:focus[type=number],
.wpcf7 input:focus[type=search],
.wpcf7 input:focus[type=tel],
.wpcf7 input:focus[type=text],
.wpcf7 input:focus[type=time],
.wpcf7 input:focus[type=url],
.wpcf7 input:focus[type=week],
.wpcf7 input:focus[type="checkbox"],
.wpcf7 textarea:focus,
.wpcf7 select:focus,
.wpcf7 a:focus
{
    border: 1px solid #92ACC7;
    outline:none;
    box-shadow: 0 0 0 3px var(--cf7-accent-outline);
    background-color: #ffffff;
}
/* Invalid Fields */
.wpcf7-not-valid-tip {
    color: var(--cf7-warning) !important;
    font-size: var(--cf7-font-size) !important;
    font-weight: var(--cf7-font-weight) !important;
    display: block;
    position: absolute;
    top: .75rem;
    right: .75rem;
}
.wpcf7 input:focus ~ .wpcf7-not-valid-tip {
    display: none !important;
}
.wpcf7-not-valid:not(input[type=file]):not(span){
    border-color: #FFBAB6 !important;
    background-color: #FFFAFA !important;
}
.wpcf7 input:disabled[type=submit],
.wpcf7 input:disabled[type=submit]:hover
{
    color: #ffffff;
    background-color: var(--cf7-warning);
    border:0;
    cursor: not-allowed;
}
/* Response Messages */
.wpcf7 form.init .wpcf7-response-output {
    display: none;
}
.wpcf7 form .wpcf7-response-output { /* Default */
    margin: 15px 0 !important;
    padding: 10px 20px !important;
    border: 0 !important;
    border-radius: 6px !important;
}
.wpcf7 form.sent .wpcf7-response-output { /* Success */
    background-color: var(--cf7-success-bg) !important;
    color: var(--cf7-success) !important;
    border: 0 !important;
}
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output,
.wpcf7 form.spam .wpcf7-response-output,
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output{ /* Failed */
    background-color: var(--cf7-warning-bg) !important;
    color: var(--cf7-warning) !important;
    border: 0 !important;
}

.hustle-ui * {
    font-family: var(--wp--preset--font-family--roboto) !important;
}

.hustle-ui .hustle-field .hustle-input {
    border: 1px solid var(--cf7-accent) !important;
	background-color: #ffffff !important;
}
.hustle-ui .hustle-field .hustle-input, .hustle-ui .hustle-form button.hustle-button-submit, .hustle-ui .hustle-field .hustle-input-label {
    line-height: 20px !important;
    padding: 12px !important;
    font-size: var(--cf7-font-size) !important;
    font-weight: var(--cf7-font-weight) !important;
    font-family: var(--cf7-font) !important;
    min-height: 35px !important;
}
.hustle-ui .hustle-form button.hustle-button-submit {
    color:#fff !important;
    background-color: var(--wp--preset--color--custom-tara-red);
    padding: 13px !important;
    border-top-right-radius: 6px !important;
    border-bottom-right-radius: 6px !important;
}

.hustle-ui .hustle-form button.hustle-button-submit:hover {
    background-color: var(--wp--preset--color--custom-tara-blue);
}

.hustle-ui .hustle-layout .hustle-image {
    display: none;
}

.hustle-ui .hustle-optin .hustle-layout .hustle-main-wrapper {
    background-color: #fff !important;
    padding:20px !important;
}
.hustle-ui .hustle-layout .hustle-layout-content .hustle-content {
    padding:0 !important;
}
.hustle-ui .hustle-button-icon.hustle-button-close {
    position: absolute;
    top: -50px;
    right: 0;
    color: #fff !important;
}
.hustle-ui .hustle-layout .hustle-title {
    font-family: var(--wp--preset--font-family--lucidity) !important;
    text-align:center !important;
}
.hustle-ui .hustle-layout .hustle-group-content {
    text-align:center;
}
.hustle-ui .hustle-layout .hustle-nsa-link a {
    color:#fff !important;
}
.hustle-ui .hustle-layout .hustle-layout-form {
    max-width: 400px !important;
    margin: 0 auto !important;
}
.hustle-success {
    color: #fff !important;
}